THECL(1)                  BSD General Commands Manual                 THECL(1)

NAME
     thecl — Touhou level script tool

SYNOPSIS
     thecl [-Vr] [[-c | -d] version] [-m eclmap]... [input [output]]

DESCRIPTION
     The thecl utility (de)compiles ecl scripts.  The following commands are
     available:

     thecl -c version [-m eclmap]... [input [output]]
             Compiles a level script.

     thecl -d version [-r] [-m eclmap]... [input [output]]
             Dumps a level script.

     -V      Displays the program version.

     These options are accepted:

     -m eclmap
             The -m option can be used to map ins_* to human readable names.

     -r      The -r option suppresses code transformations like parameter
             detection, or expression decompilation.

     Replace the # option by the level script format version requested.  Run‐
     ning the program without a command will list the supported formats.

EXIT STATUS
     The thecl utility exits with 0 on success, 1 on error.

SEE ALSO
     Project homepage:
           https://github.com/thpatch/thtk

SECURITY CONSIDERATIONS
     Invalid data may not be properly handled.  Do not operate on untrusted
     files.

thtk                            March 16, 2018                            thtk
